TEMPLATE	= app
LANGUAGE	= C++
TARGET	 = algobox
CONFIG	+= qt warn_off release
QT += xml \
      webkit
ALGOBOXVERSION=0.5
DEFINES += ALGOBOXVERSION=\\\"$${ALGOBOXVERSION}\\\"
###############################
HEADERS	+= algobox.h \
	browserdialog.h \
	variabledialog.h \
	liredialog.h \
	afficherdialog.h \
	messagedialog.h \
	affectationdialog.h \
	conditiondialog.h \
	pourdialog.h \
	tantquedialog.h \
	pointdialog.h \
	segmentdialog.h \
	aproposdialog.h \
	algowebpage.h \
	algowebview.h \
	commentairedialog.h \
	loghighlighter.h \
	algoeditor.h \
	algohighlighter.h \
	algoeditorview.h \
	linenumberwidget.h \
	findwidget.h \
	blockdata.h \
	parenmatcher.h \
	replacedialog.h \
	verifdialog.h \
	x11fontdialog.h
SOURCES	+= main.cpp \
	algobox.cpp \
	browserdialog.cpp \
	variabledialog.cpp \
	liredialog.cpp \
	afficherdialog.cpp \
	messagedialog.cpp \
	affectationdialog.cpp \
	conditiondialog.cpp \
	pourdialog.cpp \
	tantquedialog.cpp \
	pointdialog.cpp \
	segmentdialog.cpp \
	aproposdialog.cpp \
	algowebpage.cpp \
	algowebview.cpp \
	commentairedialog.cpp \
	loghighlighter.cpp \
	algoeditor.cpp \
	algohighlighter.cpp \
	algoeditorview.cpp \
	linenumberwidget.cpp \
	findwidget.cpp \
	parenmatcher.cpp \
	replacedialog.cpp \
	verifdialog.cpp \
	x11fontdialog.cpp
RESOURCES += algobox.qrc
FORMS += algobox.ui \
	 browserdialog.ui \
	variabledialog.ui \
	liredialog.ui \
	afficherdialog.ui \
	messagedialog.ui \
	affectationdialog.ui \
	conditiondialog.ui \
	pourdialog.ui \
	tantquedialog.ui \
	pointdialog.ui \
	segmentdialog.ui \
	aproposdialog.ui \
	commentairedialog.ui \
	findwidget.ui \
	replacedialog.ui \
	verifdialog.ui \
	x11fontdialog.ui
################################
unix:!macx {
#DEFINES += VERSION_MINIPC
UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj
target.path = AlgoBoxLinux-$${ALGOBOXVERSION}
#target.path = MiniAlgoBoxLinux-$${ALGOBOXVERSION}
INSTALLS = target
utilities.path = AlgoBoxLinux-$${ALGOBOXVERSION}/ressources
#utilities.path = MiniAlgoBoxLinux-$${ALGOBOXVERSION}/ressources
utilities.files = utilities/qt_fr.qm \
		ressources/eleve_calcul_recurrent.alg \
		ressources/eleve_distance_sur_un_axe.alg \
		ressources/eleve_que_fait_lalgo.alg \
		ressources/eleve_simplification_calculs_enchaines.alg \
		ressources/eleve_simul_lancers_de.alg \
		ressources/prof_babylone.alg \
		ressources/prof_balayage_fonctions.alg \
		ressources/prof_courbe_fonction.alg \
		ressources/prof_decomp_facteurspremiers.alg \
		ressources/prof_dichotomie.alg \
		ressources/prof_ductoscane.alg \
		ressources/prof_euler.alg \
		ressources/prof_integrale_trapezes.alg \
		ressources/prof_montecarlo.alg \
		ressources/prof_pgcd_euclide.alg \
		ressources/prof_somme_entiers.alg \
		ressources/prof_suite_syracuse.alg \
		ressources/prof_tri_abulle.alg \
		ressources/aidealgobox.html \
		utilities/AUTHORS \
		utilities/COPYING \
		utilities/CHANGELOG.txt \
		utilities/algobox.desktop \
		utilities/algobox.png
INSTALLS += utilities
}
################################
win32 {
#DEFINES += VERSION_SYSTEME
INCLUDEPATH += C:\MinGW\include
RC_FILE = win.rc
target.path = AlgoBoxWin32
#target.path = AlgoBoxWin32Sys
INSTALLS = target
utilities.path = AlgoBoxWin32/ressources
#utilities.path = AlgoBoxWin32Sys/ressources
utilities.files = utilities/qt_fr.qm \
		ressources/eleve_calcul_recurrent.alg \
		ressources/eleve_distance_sur_un_axe.alg \
		ressources/eleve_que_fait_lalgo.alg \
		ressources/eleve_simplification_calculs_enchaines.alg \
		ressources/eleve_simul_lancers_de.alg \
		ressources/prof_babylone.alg \
		ressources/prof_balayage_fonctions.alg \
		ressources/prof_courbe_fonction.alg \
		ressources/prof_decomp_facteurspremiers.alg \
		ressources/prof_dichotomie.alg \
		ressources/prof_ductoscane.alg \
		ressources/prof_euler.alg \
		ressources/prof_integrale_trapezes.alg \
		ressources/prof_montecarlo.alg \
		ressources/prof_pgcd_euclide.alg \
		ressources/prof_somme_entiers.alg \
		ressources/prof_suite_syracuse.alg \
		ressources/prof_tri_abulle.alg \
		ressources/aidealgobox.html \
		utilities/AUTHORS \
		utilities/COPYING \
		utilities/CHANGELOG.txt
INSTALLS += utilities
others.path = AlgoBoxWin32
#others.path = AlgoBoxWin32Sys
others.files = algobox.ico \
		C:\MinGW\bin\mingwm10.dll \
		C:\MinGW\bin\libgcc_s_dw2-1.dll \
		C:\Qt\qt-everywhere-opensource-src-4.6.0\bin\QtCore4.dll \
		C:\Qt\qt-everywhere-opensource-src-4.6.0\bin\QtGui4.dll \
		C:\Qt\qt-everywhere-opensource-src-4.6.0\bin\QtWebKit4.dll \
		C:\Qt\qt-everywhere-opensource-src-4.6.0\bin\QtXml4.dll \
		C:\Qt\qt-everywhere-opensource-src-4.6.0\bin\QtXmlPatterns4.dll \
		C:\Qt\qt-everywhere-opensource-src-4.6.0\bin\phonon4.dll \
		C:\Qt\qt-everywhere-opensource-src-4.6.0\bin\QtNetwork4.dll
INSTALLS += others
#Patch Qt RandomNumber.cpp
#double r;
#r = ((double)rand()/((double)(RAND_MAX)+(double)(1)));
#return r;
}
###############################
macx {
UI_DIR = .ui
MOC_DIR = .moc
OBJECTS_DIR = .obj
##universal tiger 32
CONFIG += link_prl x86 ppc
QMAKE_MAC_SDK=/Developer/SDKs/MacOSX10.5.sdk
QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.5
#target.path = AlgoBoxMacosx32
##tiger snow 64
#CONFIG += link_prl x86_64
#QMAKE_MAC_SDK=/Developer/SDKs/MacOSX10.6.sdk
#QMAKE_MACOSX_DEPLOYMENT_TARGET = 10.6
#target.path = AlgoBoxMacosx64
target.path = /Applications
INSTALLS = target
utilities.path = Contents/Resources
utilities.files = utilities/qt_menu.nib \
		utilities/qt_fr.qm \
		ressources/eleve_calcul_recurrent.alg \
		ressources/eleve_distance_sur_un_axe.alg \
		ressources/eleve_que_fait_lalgo.alg \
		ressources/eleve_simplification_calculs_enchaines.alg \
		ressources/eleve_simul_lancers_de.alg \
		ressources/prof_babylone.alg \
		ressources/prof_balayage_fonctions.alg \
		ressources/prof_courbe_fonction.alg \
		ressources/prof_decomp_facteurspremiers.alg \
		ressources/prof_dichotomie.alg \
		ressources/prof_ductoscane.alg \
		ressources/prof_euler.alg \
		ressources/prof_integrale_trapezes.alg \
		ressources/prof_montecarlo.alg \
		ressources/prof_pgcd_euclide.alg \
		ressources/prof_somme_entiers.alg \
		ressources/prof_suite_syracuse.alg \
		ressources/prof_tri_abulle.alg \
		ressources/aidealgobox.html \
		utilities/AUTHORS \
		utilities/COPYING \
		utilities/CHANGELOG.txt
QMAKE_BUNDLE_DATA += utilities
INSTALLS += utilities
ICON = algobox.icns
QMAKE_INFO_PLIST =Info.plist
}
