/***************************************************************************
 *   copyright       : (C) 2009-2010 by Pascal Brachet                     *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <QtGui>

#include "loghighlighter.h"

LogHighlighter::LogHighlighter(QTextDocument *parent)
    : QSyntaxHighlighter(parent)
{
	ColorStandard = QColor("#C06DBB");
	ColorMessage = QColor("#D7B54F");
	ColorPasAPas=QColor("#AACC00");
}

void LogHighlighter::highlightBlock(const QString &text)
{

QString t;
QRegExp rxMessage("\\*\\*\\*(.*)\\*\\*\\*");
QRegExp rxPasAPas("#([0-9eE\\.\\-]+)\\s*(Nombres/chaines |Liste )(.*)\\(ligne\\s*([0-9eE\\.\\-]+)\\) -> ");
QRegExp rxCondition("(La condition|Entr|Sortie)");
if ((rxMessage.indexIn(text)!=-1) || text.startsWith("Trac") )
	{
	setFormat(0, text.length(),ColorMessage);
	}
else if (rxPasAPas.indexIn(text)!=-1) 
	{
	t=text;
	t.remove(rxPasAPas);
	setFormat(0, text.length()-t.length(),ColorPasAPas);
	}
else if (rxCondition.indexIn(text)!=-1) 
	{
	setFormat(0, text.length(),ColorStandard);
	}
}
